Bug 155979 - [maintainer] [PATCH] mail/spamass-milter: add IPv6 whitelist patch
Summary: [maintainer] [PATCH] mail/spamass-milter: add IPv6 whitelist patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-27 23:30 UTC by m.tsatsenko
Modified: 2013-12-24 16:10 UTC (History)
0 users

See Also:


Attachments
file.diff (8.85 KB, patch)
2011-03-27 23:30 UTC, m.tsatsenko
no flags Details | Diff
spamass-milter.cpp.diff (429 bytes, patch)
2013-12-09 06:06 UTC, yoshint2012
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.tsatsenko 2011-03-27 23:30:34 UTC
This patch makes it possible to allow IPv6 subnets to be whitelisted/auto-accepted.
Obtained from http://wilmer.gaa.st/blog/archives/61-spamass-milter-and-IPv6.html.
Submitted by Koen Martens gmc <at> sonologic <dot> nl via private email.

Fix: Use the patch attached

Patch attached with submission follows:
Comment 1 Wen Heping freebsd_committer 2011-03-28 01:56:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-03-28 04:08:53 UTC
wen         2011-03-28 03:08:45 UTC

  FreeBSD ports repository

  Modified files:
    mail/spamass-milter  Makefile 
  Added files:
    mail/spamass-milter/files extra-patch-ipv6 
  Log:
  - Allow IPv6 subnets to be whitelisted/auto-accepted
  Obtained from http://wilmer.gaa.st/blog/archives/61-spamass-milter-and-IPv6.html
  
  PR:             ports/155979
  Submitted by:   "Mikhail T." <m.tsatsenko@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.47      +6 -1      ports/mail/spamass-milter/Makefile
  1.1       +270 -0    ports/mail/spamass-milter/files/extra-patch-ipv6 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2011-03-28 04:13:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 yoshint2012 2013-12-09 06:06:35 UTC
After extra-patch-ipv6 is patched, command line argument such as
  -i 192.168.1.1/255.255.255.0
cannot be accepted with error message
  Could not parse "255.255.255.0" as a netmask
though,
  -i 192.168.1.1/24
is ok.

I guess
  } else if (!inet_pton(AF_INET6, tmask, &mask))
is a typo of
  } else if (!inet_pton(AF_INET, tmask, &mask))
Comment 5 m.tsatsenko 2013-12-24 16:02:19 UTC
Hi,
at the first look you are right, but I have to do a more detailed look
at this in a next few days.

-- 
Mikhail